Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lookup.entry
Class AddressBean

    java.lang.Object
      net.jini.lookup.entry.AddressBean

All Implemented Interfaces:
  EntryBean, Serializable

public class AddressBean
extends Object
implements EntryBean, Serializable

A JavaBeans(TM) component that encapsulates an Address object.

See Also:
  `Address`, `Location`, `LocationBean`, Serialized Form

Field Summary
`protected Address` | `assoc` The Address object associated with this JavaBeans component.

Constructor Summary
`AddressBean()` Construct an instance of this JavaBeans component that is linked to a new Address object.

Method Summary
`Entry` | `followLink()` Return the Entry linked to by this JavaBeans component.
`String` | `getCountry()` Return the value of the country field in the Address object linked to by this JavaBeans component.
`String` | `getLocality()` Return the value of the locality field in the Address object linked to by this JavaBeans component.
`String` | `getOrganization()` Return the value of the organization field in the Address object linked to by this JavaBeans component.
`String` | `getOrganizationalUnit()` Return the value of the organizationalUnit field in the Address object linked to by this JavaBeans component.
`String` | `getPostalCode()` Return the value of the postalCode field in the Address object linked to by this JavaBeans component.
`String` | `getStateOrProvince()` Return the value of the stateOrProvince field in the Address object linked to by this JavaBeans component.
`String` | `getStreet()` Return the value of the street field in the Address object linked to by this JavaBeans component.
`void` | `makeLink(Entry e)` Make a link to an Entry object.
`void` | `setCountry(String x)` Set the value of the country field in the Address object linked to by this JavaBeans component.
`void` | `setLocality(String x)` Set the value of the locality field in the Address object linked to by this JavaBeans component.
`void` | `setOrganization(String x)` Set the value of the organization field in the Address object linked to by this JavaBeans component.
`void` | `setOrganizationalUnit(String x)` Set the value of the organizationalUnit field in the Address object linked to by this JavaBeans component.
`void` | `setPostalCode(String x)` Set the value of the postalCode field in the Address object linked to by this JavaBeans component.
`void` | `setStateOrProvince(String x)` Set the value of the stateOrProvince field in the Address object linked to by this JavaBeans component.
`void` | `setStreet(String x)` Set the value of the street field in the Address object linked to by this JavaBeans component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assoc

    protected Address assoc

  The Address object associated with this JavaBeans component.

Constructor Detail

### AddressBean

    public AddressBean()

  Construct an instance of this JavaBeans component that is linked to a new Address object.

Method Detail

### makeLink

    public void makeLink(Entry e)

  Make a link to an Entry object.

  Specified by:
    `makeLink` in interface `EntryBean`
  Parameters:
    `e` - the Entry object to link to
  Throws:
    `ClassCastException` - the Entry is not of the correct type for this JavaBeans component

### followLink

    public Entry followLink()

  Return the Entry linked to by this JavaBeans component.

  Specified by:
    `followLink` in interface `EntryBean`
  Returns:
    the entry linked to by this JavaBeans component.

### getStreet

    public String getStreet()

  Return the value of the street field in the Address object linked to by this JavaBeans component.

  Returns:
    a `String` representing the street value
  See Also:
    `setStreet(java.lang.String)`

### setStreet

    public void setStreet(String x)

  Set the value of the street field in the Address object linked to by this JavaBeans component.

  Parameters:
    `x` - a `String` specifying the street
  See Also:
    `getStreet()`

### getOrganization

    public String getOrganization()

  Return the value of the organization field in the Address object linked to by this JavaBeans component.

  Returns:
    a `String` representing the organization
  See Also:
    `setOrganization(java.lang.String)`

### setOrganization

    public void setOrganization(String x)

  Set the value of the organization field in the Address object linked to by this JavaBeans component.

  Parameters:
    `x` - a `String` specifying the organization
  See Also:
    `getOrganization()`

### getOrganizationalUnit

    public String getOrganizationalUnit()

  Return the value of the organizationalUnit field in the Address object linked to by this JavaBeans component.

  Returns:
    a `String` representing the organizational unit
  See Also:
    `setOrganizationalUnit(java.lang.String)`

### setOrganizationalUnit

    public void setOrganizationalUnit(String x)

  Set the value of the organizationalUnit field in the Address object linked to by this JavaBeans component.

  Parameters:
    `x` - a `String` specifying the organizational unit
  See Also:
    `getOrganizationalUnit()`

### getLocality

    public String getLocality()

  Return the value of the locality field in the Address object linked to by this JavaBeans component.

  Returns:
    a `String` representing the locality
  See Also:
    `setLocality(java.lang.String)`

### setLocality

    public void setLocality(String x)

  Set the value of the locality field in the Address object linked to by this JavaBeans component.

  Parameters:
    `x` - a `String` specifying the locality
  See Also:
    `getLocality()`

### getStateOrProvince

    public String getStateOrProvince()

  Return the value of the stateOrProvince field in the Address object linked to by this JavaBeans component.

  Returns:
    a `String` representing the state or province
  See Also:
    `setStateOrProvince(java.lang.String)`

### setStateOrProvince

    public void setStateOrProvince(String x)

  Set the value of the stateOrProvince field in the Address object linked to by this JavaBeans component.

  Parameters:
    `x` - a `String` specifying the state or province
  See Also:
    `getStateOrProvince()`

### getPostalCode

    public String getPostalCode()

  Return the value of the postalCode field in the Address object linked to by this JavaBeans component.

  Returns:
    a `String` representing the postal code
  See Also:
    `setPostalCode(java.lang.String)`

### setPostalCode

    public void setPostalCode(String x)

  Set the value of the postalCode field in the Address object linked to by this JavaBeans component.

  Parameters:
    `x` - a `String` specifying the postal code
  See Also:
    `getPostalCode()`

### getCountry

    public String getCountry()

  Return the value of the country field in the Address object linked to by this JavaBeans component.

  Returns:
    a `String` representing the country
  See Also:
    `setCountry(java.lang.String)`

### setCountry

    public void setCountry(String x)

  Set the value of the country field in the Address object linked to by this JavaBeans component.

  Parameters:
    `x` - a `String` specifying the country
  See Also:
    `getCountry()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved